IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Taxes

Re-usable tax definitions

The tax object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this tax is defined in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

ftstsvector | null

Full text search index

labelMultiLanguageString

Localized label

percentagereal

Percentage of the tax

type"on-top" | "included"

Type of the tax. Either on-top or included

The tax object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:19:01.541Z",
  "updated_at": "2026-03-12T05:19:01.541Z",
  "label": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "percentage": 0,
  "type": "on-top"
}

List taxes

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this tax is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

ftsFilter<tsvector | null>

Full text search index

labelFilter<MultiLanguageString>

Localized label

percentageFilter<real>

Percentage of the tax

typeFilter<"on-top" | "included">

Type of the tax. Either on-top or included

Responses

200

A list of taxes with the selected columns

206

Partial Content

GET /taxes
curl -X GET "https://api.bookingmood.com/v1/taxes?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create taxes

Body

Partial<Tax> | Array<Partial<Tax>>

Responses

201

The newly created taxes with the selected columns

POST /taxes
curl -X POST "https://api.bookingmood.com/v1/taxes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete taxes

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this tax is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

ftsFilter<tsvector | null>

Full text search index

labelFilter<MultiLanguageString>

Localized label

percentageFilter<real>

Percentage of the tax

typeFilter<"on-top" | "included">

Type of the tax. Either on-top or included

Responses

204

The deleted taxes with the selected columns

DELETE /taxes
curl -X DELETE "https://api.bookingmood.com/v1/taxes" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update taxes

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this tax is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

ftsFilter<tsvector | null>

Full text search index

labelFilter<MultiLanguageString>

Localized label

percentageFilter<real>

Percentage of the tax

typeFilter<"on-top" | "included">

Type of the tax. Either on-top or included

Body

Partial<Tax>

Responses

204

The updated taxes with the selected columns

PATCH /taxes
curl -X PATCH "https://api.bookingmood.com/v1/taxes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'